From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-wm/enlightenment/
Date: Sun, 12 Jan 2025 09:29:54 +0000 (UTC) [thread overview]
Message-ID: <1736674192.7a44ddfc39ffd010426f3ecfa94ae0abe5defca1.juippis@gentoo> (raw)
commit: 7a44ddfc39ffd010426f3ecfa94ae0abe5defca1
Author: Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 12 09:23:11 2025 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Jan 12 09:29:52 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a44ddfc
x11-wm/enlightenment: add 0.27.0
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
x11-wm/enlightenment/Manifest | 1 +
x11-wm/enlightenment/enlightenment-0.27.0.ebuild | 119 +++++++++++++++++++++++
2 files changed, 120 insertions(+)
diff --git a/x11-wm/enlightenment/Manifest b/x11-wm/enlightenment/Manifest
index b61c009486e7..426a219ddfa6 100644
--- a/x11-wm/enlightenment/Manifest
+++ b/x11-wm/enlightenment/Manifest
@@ -1 +1,2 @@
DIST enlightenment-0.26.0.tar.xz 409678784 BLAKE2B e03cb4485fafd3b03a69ca20b5910fc5b0d7070b625a5f9f6c365d57b62b6be00f7c370f38e127e92f29e430045c3502e7868219cb246f84f044d418808a3ae1 SHA512 52a656b397348a4f6baa28b9da4b42c81160b06d28dba58c22bdf00bf749aed3a9b194e171a5ac349745a4c11afc8ae8c38f9bf8c31bacbc0d196cfb24b15a1e
+DIST enlightenment-0.27.0.tar.xz 409707052 BLAKE2B 9ba22bc619eaf424794dfd34304be9fca205d27b3e318d0dc1d8a126c72174e4a4d71923bdd63076d8984641041bc69fe50b0646299c112f9ce221eb8afe7ff2 SHA512 cd4cad76a4a7e63d4f5f05fb4664580dbb4fb19b2aff059a3c2b32bdcd2495a87eea0a373ed67bc844aa4e4600ad62a0a0de995896a0eda8fb5857590a2affc5
diff --git a/x11-wm/enlightenment/enlightenment-0.27.0.ebuild b/x11-wm/enlightenment/enlightenment-0.27.0.ebuild
new file mode 100644
index 000000000000..31b82776b33f
--- /dev/null
+++ b/x11-wm/enlightenment/enlightenment-0.27.0.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson optfeature xdg
+
+DESCRIPTION="Enlightenment window manager"
+HOMEPAGE="https://www.enlightenment.org"
+SRC_URI="https://download.enlightenment.org/rel/apps/${PN}/${P}.tar.xz"
+
+LICENSE="BSD-2"
+
+# Historically enlightenment was slotted to separate e16 from e17. e16 is now
+# packaged as x11-wm/e16, but the slot is kept because it's more complicated to
+# reset it rather than just to keep it.
+SLOT="0.17/${PV%%_*}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="acpi bluetooth connman doc exif geolocation nls pam policykit systemd udisks wayland xwayland"
+
+REQUIRED_USE="xwayland? ( wayland )"
+
+RDEPEND=">=dev-libs/efl-1.28.0[eet,fontconfig,sound,X]
+ virtual/udev
+ x11-libs/libXext
+ x11-libs/libxcb
+ x11-libs/xcb-util-keysyms
+ x11-misc/xkeyboard-config
+ acpi? ( sys-power/acpid )
+ bluetooth? ( net-wireless/bluez )
+ connman? ( dev-libs/efl[connman] )
+ exif? ( media-libs/libexif )
+ geolocation? ( app-misc/geoclue:2.0 )
+ pam? ( sys-libs/pam )
+ policykit? ( sys-auth/polkit )
+ systemd? ( sys-apps/systemd )
+ udisks? ( sys-fs/udisks:2 )
+ wayland? (
+ || (
+ dev-libs/efl[systemd]
+ dev-libs/efl[elogind]
+ )
+ dev-libs/efl[drm,wayland]
+ dev-libs/wayland
+ x11-libs/libxkbcommon
+ x11-libs/pixman
+ )
+ xwayland? (
+ dev-libs/efl[X,wayland]
+ x11-base/xwayland
+ )"
+BDEPEND="virtual/pkgconfig
+ nls? ( sys-devel/gettext )"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ local emesonargs=(
+ -Dconvertible=true
+ -Ddevice-udev=true
+ -Delput=true
+ -Dinstall-enlightenment-menu=true
+
+ -Dinstall-sysactions=true
+ -Dinstall-system=true
+ -Dmount-eeze=false
+
+ -Dpackagekit=false
+
+ $(meson_use udisks mount-udisks)
+ $(meson_use bluetooth bluez5)
+ $(meson_use connman)
+ $(meson_use exif libexif)
+ $(meson_use geolocation)
+ $(meson_use nls)
+ $(meson_use pam)
+ $(meson_use policykit polkit)
+ $(meson_use systemd)
+ $(meson_use wayland wl)
+ $(meson_use xwayland)
+ )
+
+ if ! use wayland; then
+ emesonargs+=(
+ -Dwl-buffer=false
+ -Dwl-desktop-shell=false
+ -Dwl-drm=false
+ -Dwl-text-input=false
+ -Dwl-weekeyboard=false
+ -Dwl-wl=false
+ -Dwl-x11=false
+ )
+ fi
+
+ meson_src_configure
+}
+
+src_install() {
+ use doc && local HTML_DOCS=( doc/. )
+ meson_src_install
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ xdg_mimeinfo_database_update
+
+ optfeature_header "Additional programs to complement the full EFL suite:"
+ optfeature "efl-based pinentry interface" app-crypt/pinentry[efl]
+ optfeature "an efl-based text editor" app-editors/ecrire
+ optfeature "better monitor backlight and brightness controls" app-misc/ddcutil
+ optfeature "office file thumbnails" app-office/libreoffice app-office/libreoffice-bin
+ optfeature "an EFL-based IDE" dev-util/edi
+ optfeature "image viewer" media-gfx/entice
+ optfeature "image viewer" media-gfx/ephoto
+ optfeature "a media player" media-video/rage
+ optfeature "system and process monitor" sys-process/evisum
+ optfeature "feature rich terminal emulator" x11-terms/terminology
+ optfeature "a matching GTK theme" x11-themes/e-gtk-theme
+}
next reply other threads:[~2025-01-12 9:29 UTC|newest]
Thread overview: 118+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-01-12 9:29 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-18 8:02 [gentoo-commits] repo/gentoo:master commit in: x11-wm/enlightenment/ Joonas Niilola
2025-03-08 9:12 Joonas Niilola
2025-03-08 9:12 Joonas Niilola
2025-01-14 6:16 Joonas Niilola
2024-10-16 12:38 Joonas Niilola
2024-03-17 7:45 Joonas Niilola
2024-02-16 10:22 Joonas Niilola
2024-02-16 10:22 Joonas Niilola
2023-12-23 20:05 Joonas Niilola
2022-09-16 12:13 Joonas Niilola
2022-09-16 12:13 Joonas Niilola
2022-09-16 12:13 Joonas Niilola
2022-09-16 9:34 Joonas Niilola
2022-03-30 4:57 Joonas Niilola
2022-03-14 16:26 Joonas Niilola
2022-03-14 16:26 Joonas Niilola
2022-02-10 12:43 Joonas Niilola
2022-02-10 12:43 Joonas Niilola
2022-02-08 9:11 Joonas Niilola
2022-02-08 9:11 Joonas Niilola
2022-01-06 6:50 Joonas Niilola
2022-01-05 7:17 Joonas Niilola
2022-01-04 16:19 Joonas Niilola
2021-08-25 7:09 Joonas Niilola
2021-08-18 1:28 Sam James
2021-08-18 1:28 Sam James
2021-07-28 3:00 Yixun Lan
2021-07-26 19:51 Piotr Karbowski
2021-04-04 18:55 Andreas Sturmlechner
2021-02-27 15:48 Joonas Niilola
2020-11-25 12:27 Joonas Niilola
2020-11-25 12:27 Joonas Niilola
2020-09-27 20:09 Sam James
2020-09-07 8:55 David Seifert
2020-09-03 10:08 Joonas Niilola
2020-09-03 10:08 Joonas Niilola
2020-08-11 14:38 Joonas Niilola
2020-08-04 16:50 Joonas Niilola
2020-07-17 8:14 Joonas Niilola
2020-07-17 8:14 Joonas Niilola
2020-06-01 5:45 Joonas Niilola
2020-06-01 5:45 Joonas Niilola
2020-05-18 6:06 Joonas Niilola
2020-05-04 16:25 Joonas Niilola
2020-05-04 16:25 Joonas Niilola
2020-03-20 21:53 Matt Turner
2020-02-08 7:58 Joonas Niilola
2019-12-30 11:54 Joonas Niilola
2019-12-30 11:54 Joonas Niilola
2019-12-21 9:39 Joonas Niilola
2019-10-03 15:42 Joonas Niilola
2019-10-03 15:42 Joonas Niilola
2019-09-27 7:24 Joonas Niilola
2019-09-24 15:29 Joonas Niilola
2019-08-25 4:31 Joonas Niilola
2019-08-24 18:34 Joonas Niilola
2019-08-24 5:45 Joonas Niilola
2019-08-24 5:45 Joonas Niilola
2019-08-24 5:45 Joonas Niilola
2019-07-31 3:41 Joonas Niilola
2019-05-21 8:39 Michał Górny
2019-03-19 2:03 Thomas Deutschmann
2019-03-16 14:38 Mikle Kolyada
2018-09-18 7:10 Michał Górny
2018-09-16 19:35 Michał Górny
2018-09-09 7:46 Mikle Kolyada
2018-08-23 8:17 Patrice Clement
2018-07-10 11:11 Michał Górny
2018-07-09 20:30 Andreas Sturmlechner
2018-07-09 0:32 Mikle Kolyada
2018-07-07 14:52 Andreas Sturmlechner
2018-07-07 14:52 Andreas Sturmlechner
2018-06-22 18:50 Michał Górny
2018-06-19 22:34 Sergei Trofimovich
2018-06-19 22:34 Sergei Trofimovich
2018-06-17 12:43 Michał Górny
2018-06-13 18:52 Markus Meier
2018-06-13 18:52 Markus Meier
2018-06-09 9:48 Michał Górny
2018-06-09 9:48 Michał Górny
2018-06-04 7:33 Jeroen Roovers
2018-05-25 22:35 Aaron Bauman
2018-05-25 18:11 Aaron Bauman
2018-05-20 1:45 Aaron Bauman
2018-05-15 17:45 Michał Górny
2018-05-11 8:44 Michał Górny
2018-04-16 15:35 Michał Górny
2018-04-13 23:22 Aaron Bauman
2018-03-25 10:28 Michał Górny
2018-02-26 10:26 Michał Górny
2018-02-19 19:24 Michał Górny
2017-03-12 4:00 Mike Frysinger
2016-11-10 21:45 Mike Gilbert
2016-11-10 5:10 Mike Frysinger
2016-06-12 9:04 Patrick Lauer
2016-05-08 18:23 Patrick Lauer
2016-05-05 3:10 Mike Frysinger
2016-05-05 3:10 Mike Frysinger
2016-04-02 4:11 Mike Frysinger
2016-04-02 4:11 Mike Frysinger
2016-04-02 4:11 Mike Frysinger
2016-02-21 19:03 Mike Frysinger
2015-12-30 20:40 Mike Frysinger
2015-12-30 20:40 Mike Frysinger
2015-12-30 20:40 Mike Frysinger
2015-12-24 20:18 Mike Frysinger
2015-12-24 20:18 Mike Frysinger
2015-12-24 20:18 Mike Frysinger
2015-12-24 20:18 Mike Frysinger
2015-12-24 20:18 Mike Frysinger
2015-12-24 20:18 Mike Frysinger
2015-12-24 20:18 Mike Frysinger
2015-10-16 10:59 Michał Górny
2015-10-09 12:50 Mike Frysinger
2015-10-09 12:50 Mike Frysinger
2015-09-19 0:41 Mike Frysinger
2015-09-19 0:39 Mike Frysinger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1736674192.7a44ddfc39ffd010426f3ecfa94ae0abe5defca1.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox